* KLEMS data - test

* Output (year-on-year growth rate)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-1.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dY
	destring dY, replace
	rename stub klemsind
	describe
	
	* Save
	save "~/Desktop/KLEMS/klems_wip.dta", replace

* MFP (year-on-year growth rate)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-10.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dMFP
	destring dMFP, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Combined inputs (year-on-year growth rate)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-9.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dX
	destring dX, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* K share

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("5-32.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind sK
	destring sK, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* L share

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("5-33.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind sL
	destring sL, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace		
	
* E share

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("5-35.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind sE
	replace sE = "." if strmatch(sE,"N.A.")
	destring sE, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace			

* M share

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("5-36.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind sM
	replace sM = "." if strmatch(sM,"N.A.")
	destring sM, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* S share

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("5-37.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind sS
	replace sS = "." if strmatch(sS,"N.A.")
	destring sS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* EMS share

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("5-34.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind sEMS
	replace sEMS = "." if strmatch(sEMS,"N.A.")
	destring sEMS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* dK

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-2.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dK
	destring dK, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* dL

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-3.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dL
	destring dL, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* dE

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-6.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dE
	replace dE = "." if strmatch(dE,"N.A.")
	destring dE, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* dM

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-7.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dM
	replace dM = "." if strmatch(dM,"N.A.")
	destring dM, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* dS

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-8.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dS
	replace dS = "." if strmatch(dS,"N.A.")
	destring dS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* dEMS

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-5.3") cellrange(A6:AE76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind dEMS
	replace dEMS = "." if strmatch(dEMS,"N.A.")
	destring dEMS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* Output (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-1.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind Y
	destring Y, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Output (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-11.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PY
	destring PY, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Output (nominal)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("4-25.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind nomY
	destring nomY, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Capital (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-2.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind K
	destring K, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Capital (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-12.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PK
	destring PK, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Capital (nominal payments)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("4-26.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind nomK
	destring nomK, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	

* Labor (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-3.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind L
	destring L, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Labor (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-13.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PL
	destring PL, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Labor (nominal payments)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("4-27.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind nomL
	destring nomL, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace		
	
* Energy (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-6.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind E
	replace E = "." if strmatch(E,"N.A.")
	destring E, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Energy (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-15.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PE
	replace PE = "." if strmatch(PE,"N.A.")
	destring PE, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Energy (nominal payments)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("4-29.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind nomE
	replace nomE = "." if strmatch(nomE,"N.A.")
	destring nomE, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* Materials (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-7.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind M
	replace M = "." if strmatch(M,"N.A.")
	destring M, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Materials (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-16.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PM
	replace PM = "." if strmatch(PM,"N.A.")
	destring PM, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Materials (nominal payments)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("4-30.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind nomM
	replace nomM = "." if strmatch(nomM,"N.A.")
	destring nomM, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* Services (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-8.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind S
	replace S = "." if strmatch(S,"N.A.")
	destring S, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Services (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-17.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PS
	replace PS = "." if strmatch(PS,"N.A.")
	destring PS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Services (nominal payments)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("4-31.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind nomS
	replace nomS = "." if strmatch(nomS,"N.A.")
	destring nomS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace		
	
* Combined intermediates (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-5.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind EMS
	replace EMS = "." if strmatch(EMS,"N.A.")
	destring EMS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Combined intermediates (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-14.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PEMS
	replace PEMS = "." if strmatch(PEMS,"N.A.")
	destring PEMS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Combined inputs (nominal payments)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("4-28.1") cellrange(A6:AF76) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind nomEMS
	replace nomEMS = "." if strmatch(nomEMS,"N.A.")
	destring nomEMS, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
	
* Combined inputs (index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-9.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind X
	replace X = "." if strmatch(X,"N.A.")
	destring X, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Combined inputs (price index)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("2-18.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind PX
	replace PX = "." if strmatch(PX,"N.A.")
	destring PX, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace
	
* Labor productivity (index 100=2009)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("3-20.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind LPROD
	replace LPROD = "." if strmatch(LPROD,"N.A.")
	destring LPROD, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	

* Labor productivity (index 100=2009)

	* Import 
	import excel "~/Desktop/KLEMS/klemscombinedbymeasure.xlsx", sheet("1-10.2") cellrange(A7:AF77) clear
	drop B
	
	drop if strmatch(A,"11") | ///
			strmatch(A,"21") | ///
			strmatch(A,"MN") | ///
			strmatch(A,"ND") | ///
			strmatch(A,"DM") | ///
			strmatch(A,"42,44-45") | ///
			strmatch(A,"48-49") | ///
			strmatch(A,"51") | ///
			strmatch(A,"52-53") | ///
			strmatch(A,"54-81") 
			
	replace A = "111" if strmatch(A,"111112")
	replace A = "113" if strmatch(A,"113-115")
	replace A = "311" if strmatch(A,"311312")
	replace A = "313" if strmatch(A,"313314")
	replace A = "315" if strmatch(A,"315316")
	replace A = "44"  if strmatch(A,"44,45")
	replace A = "487" if strmatch(A,"487488492")
	replace A = "515" if strmatch(A,"515517")
	replace A = "518" if strmatch(A,"518519")
	replace A = "521" if strmatch(A,"521522")
	replace A = "532" if strmatch(A,"532533")
	replace A = "5412" if strmatch(A,"5412-5414,5416-5419")
	replace A = "622" if strmatch(A,"622623")
	replace A = "711" if strmatch(A,"711712")
	
	replace A = "klemsind"+A
	replace A = "" if strmatch(A,"klemsindNAICS Industry Code")
	
	* Transpose
	tab A
	order A *
	sxpose, firstnames clear force
	
	* fyear variable
	rename _var1 fyear
	destring fyear, replace
	format fyear %ty
	tsset fyear
	
	* Reshape long
	reshape long klemsind, i(fyear) j(stub)
	rename klemsind MFPROD
	replace MFPROD = "." if strmatch(MFPROD,"N.A.")
	destring MFPROD, replace
	rename stub klemsind
	describe
	
	* Save
	sort fyear klemsind
	merge 1:1 fyear klemsind using "~/Desktop/KLEMS/klems_wip.dta"
	drop _merge
	save "~/Desktop/KLEMS/klems_wip.dta", replace	
		
	
* Combined inputs (nominal payments)

use "~/Desktop/KLEMS/klems_wip.dta", clear

gen 		nomX = nomK + nomL + nomE + nomM + nomS if fyear >= 1998
replace 	nomX = nomK + nomL + nomE + nomM + nomS if fyear <  1998 & ( klemsind >= 311 & klemsind <= 339 )
replace  	nomX = nomK + nomL + nomEMS 			if fyear <  1998 & ( klemsind <  311 | klemsind >  339 )

sort klemsind fyear
save "~/Desktop/KLEMS/klems_wip.dta", replace

* Add names for klems industries

gen klems_name = ""
replace klems_name = "Crop & Animal Production (Farms)" if klemsind==	111
replace klems_name = "Forestry, Fishing, and Related Activities" if klemsind==	113
replace klems_name = "Oil and Gas Extraction" if klemsind==	211
replace klems_name = "Mining, except Oil and Gas" if klemsind==	212
replace klems_name = "Support Activities for Mining" if klemsind==	213
replace klems_name = "Utilities" if klemsind==	22
replace klems_name = "Construction" if klemsind==	23
replace klems_name = "Food and Beverage and Tobacco Products" if klemsind==	311
replace klems_name = "Textile Mills and Textile Product Mills" if klemsind==	313
replace klems_name = "Apparel and Leather and Applied Products" if klemsind==	315
replace klems_name = "Paper Products" if klemsind==	322
replace klems_name = "Printing and Related Support Activities" if klemsind==	323
replace klems_name = "Petroleum and Coal Products" if klemsind==	324
replace klems_name = "Chemical Products" if klemsind==	325
replace klems_name = "Plastics and Rubber Products" if klemsind==	326
replace klems_name = "Wood Products" if klemsind==	321
replace klems_name = "Nonmetallic Mineral Products" if klemsind==	327
replace klems_name = "Primary Metal Products" if klemsind==	331
replace klems_name = "Fabricated Metal Products" if klemsind==	332
replace klems_name = "Machinery" if klemsind==	333
replace klems_name = "Computer and Electronic Products" if klemsind==	334
replace klems_name = "Electrical Equipment, Appliances, and Components" if klemsind==	335
replace klems_name = "Transportation Equipment" if klemsind==	336
replace klems_name = "Furniture and Related Products" if klemsind==	337
replace klems_name = "Miscellaneous Manufacturing" if klemsind==	339
replace klems_name = "Wholesale Trade" if klemsind==	42
replace klems_name = "Retail Trade" if klemsind==	44
replace klems_name = "Air Transportation" if klemsind==	481
replace klems_name = "Rail Transportation" if klemsind==	482
replace klems_name = "Water Transportation" if klemsind==	483
replace klems_name = "Truck Transportation" if klemsind==	484
replace klems_name = "Transit and Ground Passenger Transportation" if klemsind==	485
replace klems_name = "Pipeline Transportation" if klemsind==	486
replace klems_name = "Other Transportation and Support Activities" if klemsind==	487
replace klems_name = "Warehousing and Storage" if klemsind==	493
replace klems_name = "Publishing industries, except internet (includes software)" if klemsind==	511
replace klems_name = "Motion picture and sound recording industries" if klemsind==	512
replace klems_name = "Broadcasting and telecommunications" if klemsind==	515
replace klems_name = "Data processing, internet publishing, and other information services" if klemsind==	518
replace klems_name = "Federal Reserve Banks, Credit Intermediation, and Related Activities" if klemsind==	521
replace klems_name = "Securities, Commodity Contracts, and Investments" if klemsind==	523
replace klems_name = "Insurance Carriers and Related Activities" if klemsind==	524
replace klems_name = "Funds, Trusts, and Other Financial Vehicles" if klemsind==	525
replace klems_name = "Real Estate" if klemsind==	531
replace klems_name = "Rental and Leasing Services and Lessors of Intangible Assets" if klemsind==	532
replace klems_name = "Legal Services" if klemsind==	5411
replace klems_name = "Miscellaneous Professional, Scientific, and Technical Services" if klemsind==	5412
replace klems_name = "Computer Systems Design and Related Services" if klemsind==	5415
replace klems_name = "Management of Companies and Enterprises" if klemsind==	55
replace klems_name = "Administrative and Support Services" if klemsind==	561
replace klems_name = "Waste Management and Remediation Services" if klemsind==	562
replace klems_name = "Educational Services" if klemsind==	61
replace klems_name = "Ambulatory Health Care Services" if klemsind==	621
replace klems_name = "Hospitals and Nursing and Residential Care Facilities" if klemsind==	622
replace klems_name = "Social Assistance" if klemsind==	624
replace klems_name = "Performing Arts, Spectator Sports, Museums, and Related Activities" if klemsind==	711
replace klems_name = "Amusements, Gambling, and Recreation Industries" if klemsind==	713
replace klems_name = "Accommodation" if klemsind==	721
replace klems_name = "Food Services and Drinking Places" if klemsind==	722
replace klems_name = "Other services except Government" if klemsind==	81

* Hall's 19-group classification
gen hallgroup = ""
replace hallgroup = "Health Care and Social Assistance" if ///
			klemsind == 621 | klemsind == 622 | klemsind == 624
replace hallgroup = "Educational services" if ///
			klemsind == 61	
replace hallgroup = "Construction" if ///
			klemsind == 23	
replace hallgroup = "Admin support and waste management" if ///
			klemsind == 561 | klemsind == 562
replace hallgroup = "Real Estate and Rental and Leasing" if ///
			klemsind == 531 | klemsind == 532			
replace hallgroup = "Utilities" if ///
			klemsind == 22
replace hallgroup = "Management of Companies and Enterprises" if ///
			klemsind == 55	
replace hallgroup = "Mining and Oil & Gas" if ///
			klemsind == 211 | klemsind == 212 | klemsind == 213
replace hallgroup = "Wholesale trade" if ///
			klemsind == 42	
replace hallgroup = "Professional, Scientific and Technical services" if ///
			klemsind == 5411 | klemsind == 5412 | klemsind == 5415
replace hallgroup = "Transportation and Warehousing" if ///
			klemsind >= 481 & klemsind <= 493
replace hallgroup = "Other services" if ///
			klemsind == 81
replace hallgroup = "Information" if ///
			klemsind == 511 | klemsind  == 512 | klemsind == 515 | klemsind == 518
replace hallgroup = "Manufacturing" if ///
			klemsind >= 311 & klemsind <= 339
replace hallgroup = "Retail trade" if ///
			klemsind == 44		
replace hallgroup = "Finance and insurance" if ///
			klemsind == 521 | klemsind == 523 | klemsind == 524 | klemsind == 525
replace hallgroup = "Arts, entertainment and recreation" if ///
			klemsind == 711 | klemsind == 713
replace hallgroup = "Acommodation and food" if ///
			klemsind == 721 | klemsind == 722	
replace hallgroup = "Agriculture, Forestry, Fishing and Hunting" if ///
			klemsind == 111 | klemsind == 113
			
* Alternative, Fama-French style classification with 12 groups
gen ff_name = ""
replace ff = "Utilities" if ///
			klemsind == 22
replace ff = "Mining and Oil & Gas" if ///
			klemsind == 211 | klemsind == 212 | klemsind == 213
replace ff = "Wholesale & Retail trade" if ///
			klemsind == 42	| klemsind == 44
replace ff = "Transportation and Warehousing" if ///
			klemsind >= 481 & klemsind <= 493
replace ff = "Telecoms & Broadcasting" if ///
			klemsind == 511 | klemsind  == 512 | klemsind == 515 | klemsind == 518
replace ff = "Manufacturing" if ///
			klemsind >= 311 & klemsind <= 339
replace ff = "Construction, real estate, and leasing" if ///
			klemsind == 531 | klemsind == 532 |  klemsind == 23		
replace ff = "Healthcare" if ///
			klemsind == 621 | klemsind == 622 | klemsind == 325 | klemsind == 339
replace ff = "Finance and insurance" if ///
			klemsind == 521 | klemsind == 523 | klemsind == 524 | klemsind == 525
replace ff = "Agriculture, Forestry, Fishing and Hunting" if ///
			klemsind == 111 | klemsind == 113
replace ff = "IT & software" if ///
			klemsind == 334 | klemsind == 511 | klemsind == 518 | klemsind == 5415
replace ff = "Other (mostly services)" if ///
		klemsind == 721 | klemsind == 722 | ///
		klemsind == 711 | klemsind == 713 | ///
		klemsind == 81  | ///
		klemsind == 5411| klemsind == 5412| ///
		klemsind == 61  | ///
		klemsind == 561 | klemsind == 562 | ///
		klemsind == 55  | ///
		klemsind == 624

save "~/Desktop/KLEMS/klems_wip.dta", replace

		**********************************
		* Uncomment to check
		* the structure of the data
		**********************************
/*
		
		xtset klemsind fyear
		
		* Productivity computation
		gen dMFP_tilde = dY - dX
		
		* Changes in total inputs
		gen 		dX2_tilde = l1.sK*dK + l1.sL*dL + l1.sE*dE + l1.sM*dM + l1.sS*dS if fyear >= 1998
		replace 	dX2_tilde = l1.sK*dK + l1.sL*dL + l1.sE*dE + l1.sM*dM + l1.sS*dS if fyear <  1998 & ( klemsind >= 311 & klemsind <= 339 )
		replace 	dX2_tilde = l1.sK*dK + l1.sL*dL + l1.sEMS*dEMS 					 if fyear <  1998 & ( klemsind <  311 | klemsind >  339 )
		
		*xtline dX dX2_tilde, byopts(note("")) xtitle("") name(fig1, replace)
		*xtline dMFP dMFP_tilde, byopts(note("")) xtitle("") name(fig2, replace)
		
		foreach varlet in Y X K L E M S EMS {
		
			gen d`varlet'_tilde = 100*(`varlet'/l1.`varlet' - 1)
			gen dummy = nom`varlet' if fyear == 2009
			bys klemsind: egen dummy2 = max(dummy)
			gen `varlet'_tilde = (nom`varlet'/dummy2)*(100/P`varlet')*100
			drop dummy dummy2
		
		}
		
		foreach varlet in Y K L E M S EMS {
		
			gen s`varlet'_tilde = nom`varlet'/nomX
		
		}
		
		gen 		dX_star = 100*( ((K/l1.K)^(l1.sK))*((L/l1.L)^(l1.sL))*((E/l1.E)^(l1.sE))*((M/l1.M)^(l1.sM))*((S/l1.S)^(l1.sS)) - 1 ) if fyear >= 1998
		replace 	dX_star = 100*( ((K/l1.K)^(l1.sK))*((L/l1.L)^(l1.sL))*((E/l1.E)^(l1.sE))*((M/l1.M)^(l1.sM))*((S/l1.S)^(l1.sS)) - 1 ) if fyear <  1998 & ( klemsind >= 311 & klemsind <= 339 )
		replace 	dX_star = 100*( ((K/l1.K)^(l1.sK))*((L/l1.L)^(l1.sL))*((EMS/l1.EMS)^(l1.sEMS)) 						 	 	   - 1 ) if fyear <  1998 & ( klemsind <  311 | klemsind >  339 )
		
		gen 		PX_star = ((PK)^(l1.sK))*((PL)^(l1.sL))*((PE)^(l1.sE))*((PM)^(l1.sM))*((PS)^(l1.sS)) if fyear >= 1998
		replace 	PX_star = ((PK)^(l1.sK))*((PL)^(l1.sL))*((PE)^(l1.sE))*((PM)^(l1.sM))*((PS)^(l1.sS)) if fyear <  1998 & ( klemsind >= 311 & klemsind <= 339 )
		replace 	PX_star = ((PK)^(l1.sK))*((PL)^(l1.sL))*((PEMS)^(l1.sEMS)) 				      		 if fyear <  1998 & ( klemsind <  311 | klemsind >  339 )
		
		/*
		
		The following relationships hold well:
		
		dX 	 = l1.sK*dK + l1.sL*dL + l1.sE*dE + l1.sM*dM + l1.sS*dS for fyear >= 1998
		dX   = l1.sK*dK + l1.sL*dL + l1.sE*dE + l1.sM*dM + l1.sS*dS for fyear <  1998 & ( klemsind >= 311 & klemsind <= 339 )
		dX   = l1.sK*dK + l1.sL*dL + l1.sEMS*dEMS 				    for fyear <  1998 & ( klemsind <  311 | klemsind >  339 )
		
				(this is not perfect.)
		
		sK + sL + sE + sM + sS = 1 for fyear >= 1998
		sK + sL + sEMS 		   = 1 for fyear <= 1997 & ( klemsind <  311 | klemsind >  339 )
		sK + sL + sE + sM + sS = 1 for fyear <= 1997 & ( klemsind >= 311 & klemsind <= 339 )
		
			 (there seems to be rounding error in the sum of shares.)
		
		dY 	 = 100*(Y/l1.Y-1)       - holds exactly
		Y    = ( nomY/PY )/( nomY in 2009/100 )*100 = ( nomY / nomY in 2009 )*( 100 * 100/PY ) 
		
			 (holds exactly)
		
		same for X,K,L,E,M,S and EMS
		
		sK   = nomK/nomX
		
		where
		
		nomX = nomK + nomL + nomE + nomM + nomS if fyear >= 1998
		nomX = nomK + nomL + nomE + nomM + nomS if fyear <  1998 & ( klemsind >= 311 & klemsind <= 339 )
		nomX = nomK + nomL + nomEMS 			  if fyear <  1998 & ( klemsind <  311 | klemsind >  339 )
		
		same for L,E,M,S and EMS
		
		dMFP = ( (Y/X)/(l1.Y/l1.X) - 1 )*100
		
			(this holds much better than dMFP = dY - dX)
			
		gen dX_star = 100*( (dK^(l1.sK))*(dL^(l1.sL))*(dE^(l1.sE))*(dM^(l1.sM))*(dS^(l1.sS)) - 1 )
		
		*/

*/
