use gvkey fyear sale klemsind nomY INOM_* capx ffindex using "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/input/panel.dta", clear

keep if fyear >= 1987 & fyear <= 2014

bys fyear: gen numfirms = _N
tab fyear

egen CAPXBEA = rowtotal( INOM_S* INOM_EP* INOM_EI* INOM_ET* INOM_EO* )

preserve
collapse (sum) sale capx, by(fyear)
replace sale = sale/1000
rename sale compustat_revenue
lab var compustat_revenue "Compustat total revenue (bn$)"
replace capx = capx/1000
rename capx compustat_capx
lab var compustat_capx "Compustat total capx (bn$)"
sort fyear
save "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/temp/dummy.dta", replace
restore

bys fyear klemsind: keep if _n==1
collapse (sum) nomY CAPXBEA, by(fyear)
rename nomY BEA_output 
labe var BEA_output "BEA total output (bn$)" 
labe var CAPXBEA "Total fixed investment from BEA fixed asset tables (bn$)"
replace CAPXBEA = CAPXBEA/1000
sort fyear
merge 1:1 fyear using "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/temp/dummy.dta"
drop _merge
tsset fyear
* Use adjustment suggested in footnote 6 for revenue
gen compustat_revenue_share = 0.73*compustat_revenue/BEA_output
lab var compustat_revenue_share "Nominal revenue of US incorporated Compsutat firms divided by nominal BEA output from KLEMS" 
gen private_share = 1 - compustat_revenue_share
lab var private_share "Revenue" 
* Share of capital expenditures
gen compustat_capx_share = compustat_capx/CAPXBEA
lab var compustat_capx_share "Nominal capx of US incorporated Compsutat firms divided by total nominal investment from BEA fixed asset tables" 
gen private_share_capx = 1 - compustat_capx_share
lab var private_share_capx "Investment"

twoway (tsline private_share) ///
	   (tsline private_share_capx), ///
	   tlab(1990(5)2015) ///
	   ylab(0.10(0.10)0.60) ///
	   title("An estimate of non-listed firms' share of aggregate activity" "using Compustat data, the fixed asset tables, & KLEMS") ///
	   legend(ring(1) position(6) cols(2) colfirst) ///
	   xtitle("") ///
	   name(fig1, replace)	
graph export "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/tex/fig0.pdf"
