import excel "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/input/age7517.xls", sheet("Sheet1") cellrange(A1:F10270) clear

rename A ritter_name
drop B
tostring C, replace
gen ipo_date = date(C,"YMD")
format ipo_date %td
gen ipo_year = year(ipo_date)
format ipo_year %ty
drop C
rename D cusip
rename E crsp_id
rename F founding_year
format founding_year %ty
destring crsp_id, replace
drop if missing(crsp_id)
bys crsp_id: gen numobs = _N
drop if numobs > 1
drop numobs
sort crsp_id
isid crsp_id
save "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/input/age_ritter.dta", replace

use "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/input/ccmxpf_linktable.dta", clear

keep if strmatch(linkprim,"P")
drop if missing(lpermno)
gen dummy = year(linkdt)
*list gvkey lpermno linkdt dummy if lpermno == 14593
bys gvkey: egen first_year_crsp = min(dummy)
drop dummy
keep gvkey lpermno first_year_crsp
duplicates drop
rename lpermno crsp_id
sort crsp_id
merge m:1 crsp_id using "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/input/age_ritter.dta"
*list gvkey ipo_year first_year_crsp if _merge == 3
*pwcorr ipo_year first_year_crsp if _merge == 3
drop if _merge == 2
drop _merge
bys gvkey (first_year_crsp): keep if _n==1
keep gvkey ipo_year founding_year first_year_crsp
isid gvkey
sort gvkey
save "~/Dropbox/Work/Discussions/Sebnem - Leverage and life-cycle/input/age.dta", replace


